apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: cesi-eats
  name: cesi-eats
spec:
  replicas: 1
  selector:
    matchLabels:
      app: cesi-eats
  template:
    metadata:
      labels:
        app: cesi-eats
    spec:
      containers:
      - image: registry.gitlab.com/elective-logiciel/front-end/cesi-eats:latest
        name: cesi-eats
        imagePullPolicy: Always
        ports:
        - containerPort: 80
          name: http
        env:
        - name: APP_PORT
          value: "80"

